import type { _NSLayoutAnchor } from "./NSLayoutAnchor.js";
import type { _NSLayoutConstraint } from "./NSLayoutConstraint.js";
import type { _NSLayoutDimension } from "./NSLayoutDimension.js";
export declare class _NSLayoutXAxisAnchor extends _NSLayoutAnchor {
    static alloc(): _NSLayoutXAxisAnchor;
    static new(): _NSLayoutXAxisAnchor;
    init(): _NSLayoutXAxisAnchor;
    /**
     * A composite anchor for creating constraints relating horizontal distances between locations.
     */
    anchorWithOffsetToAnchor$(otherAnchor: _NSLayoutXAxisAnchor): _NSLayoutDimension;
    /**
     * Constraints of the form, receiver [= | ≥ | ≤] 'anchor' + 'multiplier' * system space, where the value of the system space is determined from information available from the anchors. The constraint affects how far the receiver will be positioned trailing 'anchor', per the effective user interface layout direction.
     */
    constraintEqualToSystemSpacingAfterAnchor$multiplier$(anchor: _NSLayoutXAxisAnchor, multiplier: number): _NSLayoutConstraint;
    constraintGreaterThanOrEqualToSystemSpacingAfterAnchor$multiplier$(anchor: _NSLayoutXAxisAnchor, multiplier: number): _NSLayoutConstraint;
    constraintLessThanOrEqualToSystemSpacingAfterAnchor$multiplier$(anchor: _NSLayoutXAxisAnchor, multiplier: number): _NSLayoutConstraint;
}
